# menu_cursor 3x 2024-03-16 ncurses 6.5 Library calls

    menu_cursor(3x)                  Library calls                 menu_cursor(3x)

## NAME

           pos_menu_cursor - position a menu's cursor

## SYNOPSIS

           #include <menu.h>

           int pos_menu_cursor(const MENU *menu);

## DESCRIPTION

           The  function  pos_menu_cursor  restores  the  cursor  to  the  current
           position associated with the menu's  selected  item.   This  is  useful
           after  curses  routines  have  been  called  to  do  screen-painting in
           response to a menu select.

## RETURN VALUE

           This routine returns one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno(3)).

           E_BAD_ARGUMENT
                Routine detected an incorrect or out-of-range argument.

           E_NOT_POSTED
                The menu has not been posted.

## PORTABILITY

           These routines emulate the  System  V  menu  library.   They  were  not
           supported on Version 7 or BSD versions.

## AUTHORS

           Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric S.
           Raymond.

## SEE ALSO

           curses(3x), menu(3x)

    ncurses 6.5                       2024-03-16                   menu_cursor(3x)